#### Previous topic

scipy.signal.ss2zpk

#### Next topic

scipy.signal.sos2tf

# scipy.signal.sos2zpk

`scipy.signal.``sos2zpk`(sos)

  Return zeros, poles, and gain of a series of second-order sections

  Parameters:

  sos : array_like

  > Array of second-order filter coefficients, must have shape `(n_sections, 6)`. See `sosfilt` for the SOS filter format specification.

  Returns:

  z : ndarray

  > Zeros of the transfer function.

  p : ndarray

  > Poles of the transfer function.

  k : float

  > System gain.

  Notes

  New in version 0.16.0.